%undefine _strict_symbol_defs_build

%global commit0 079be662dde374a383646256108a4974c2bc7796
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           quassel-irssi
Version:        0
Release:        8.20171203git%{shortcommit0}%{?dist}
Summary:        An irssi plugin to connect to quassel core

License:        GPLv3+
URL:            https://github.com/phhusson/quassel-irssi

Source0:        https://github.com/phhusson/quassel-irssi/archive/%{commit0}/quassel-irssi-%{shortcommit0}.tar.gz

# Patch for compatibility with newer irssi (0.8.21, 1.0).
Patch0:         quassel-irssi-tls-ssl-rename.patch

# Patch for compatibility with irssi 1.0.
# https://github.com/phhusson/quassel-irssi/commit/35555999f810f49b49ca2a6ec13d4f5b03503007.patch
Patch1:         35555999f810f49b49ca2a6ec13d4f5b03503007.patch

BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  zlib-devel
BuildRequires:  openssl-devel
BuildRequires:  irssi-devel
BuildRequires:  quasselc-devel

Requires:       irssi

%description
An irssi plugin that supports connecting to a quassel core.

%prep
%autosetup -p1 -n quassel-irssi-%{commit0}

# Respect CFLAGS.
sed 's/CFLAGS=/CFLAGS+=/' -i core/Makefile

%build
cd core/
SYSTEM_QUASSELC=1 CFLAGS="%{optflags} -Wno-cast-function-type" LDFLAGS="%{__global_ldflags}" IRSSI_CFLAGS="%{optflags}" %make_build

%install
cd core/
%make_install SYSTEM_QUASSELC=1 LIBDIR=%{_libdir}
chmod +x %{buildroot}%{_libdir}/irssi/modules/libquassel_core.so

%files
%{_libdir}/irssi/modules/libquassel_core.so
%license core/COPYING
%doc README.md

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-8.20171203git079be66
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
- Disable cast-function-type warning to fix build. (#1556306).

* Sun Dec 03 2017 Ben Rosser <rosser.bjr@gmail.com> - 0.7.20171203git079be66
- Update to latest upstream commit, with a minor bugfix.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-6.20170119git7b034e3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-5.20170119git7b034e3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-4.20170119git7b034e3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 20 2017 Ben Rosser <rosser.bjr@gmail.com> - 0-3.20170119git7b034e3
- Update to latest upstream commit, with various fixes.
- Include patches to build against irssi versions 1.0.0 and 0.8.21.

* Wed Nov 23 2016 Ben Rosser <rosser.bjr@gmail.com> - 0-2.20161120gitcbd9bd7
- Mark libquassel_core.so as executable so it is stripped correctly.

* Sun Nov 20 2016 Ben Rosser <rosser.bjr@gmail.com> - 0-1.20161120gitcbd9bd7
- Unbundling patch was merged upstream, update to latest commit.
- Use correct Fedora guidelines for git(hub) source URL.

* Sat Sep 10 2016 Ben Rosser <rosser.bjr@gmail.com> - 0-1.20160909gitcfbd67f
- Initial package.
